@REM
@REM ************** BEGIN LICENSE BLOCK **********
@REM
@REM Version: CeCILL-C
@REM Copyright INRIA
@REM
@REM Contributor(s):
@REM Guillaume RENARD <guyome.renard@googlemail.com>
@REM Adrien FERIAL <adrien.ferial@gmail.com>
@REM
@REM This software is a computer program whose purpose is to download one or several datasets managed
@REM by a Shanoir server.
@REM
@REM This software is governed by the CeCILL-C license under French law and
@REM abiding by the rules of distribution of free software. You can use, modify
@REM and/ or redistribute the software under the terms of the CeCILL-C license as
@REM circulated by CEA, CNRS and INRIA at the following URL
@REM "http://www.cecill.info".
@REM
@REM As a counterpart to the access to the source code and rights to copy, modify
@REM and redistribute granted by the license, users are provided only with a
@REM limited warranty and the software's author, the holder of the economic
@REM rights, and the successive licensors have only limited liability.
@REM
@REM In this respect, the user's attention is drawn to the risks associated with
@REM loading, using, modifying and/or developing or reproducing the software by
@REM the user in light of its specific status of free software, that may mean that
@REM it is complicated to manipulate, and that also therefore means that it is
@REM reserved for developers and experienced professionals having in-depth
@REM computer knowledge. Users are therefore encouraged to load and test the
@REM software's suitability as regards their requirements in conditions enabling
@REM the security of their systems and/or data to be ensured and, more generally,
@REM to use and operate it in the same conditions as regards security.
@REM
@REM The fact that you are presently reading this means that you have had
@REM knowledge of the CeCILL-C license and that you accept its terms.
@REM
@REM ************** END LICENSE BLOCK **********
@REM

@echo off
rem -------------------------------------------------------------------------
rem shanoir/uploadProcessedDataset Launcher
rem -------------------------------------------------------------------------

if not "%ECHO%" == ""  echo %ECHO%
if "%OS%" == "Windows_NT"  setlocal

set MAIN_CLASS=org.shanoir.toolkit.uploadProcessedDataset.UploadProcessedDataset
set MAIN_JAR=uploadProcessedDataset-tool-0.3.jar

set DIRNAME=.\
if "%OS%" == "Windows_NT" set DIRNAME=%~dp0%

rem Read all command line arguments

set ARGS=
:loop
if [%1] == [] goto end
        set ARGS=%ARGS% %1
        shift
        goto loop
:end

if not "%SHANOIR_TK_HOME%" == "" goto HAVE_SHANOIR_TK_HOME

set SHANOIR_TK_HOME=%DIRNAME%..

:HAVE_SHANOIR_TK_HOME

if not "%JAVA_HOME%" == "" goto HAVE_JAVA_HOME

set JAVA=java

goto SKIP_SET_JAVA_HOME

:HAVE_JAVA_HOME

set JAVA=%JAVA_HOME%\bin\java

:SKIP_SET_JAVA_HOME

set CP=%CP%;%SHANOIR_TK_HOME%\lib\%MAIN_JAR%

"%JAVA%" %JAVA_OPTS% -cp "%CP%" %MAIN_CLASS% %ARGS%

